[Ruby 1.9 - Bug #4388] open-uriで環境変数http proxyを使うときに認証付きのProxyが使えません

Issue #4388 has been updated by Hiroshi NAKAMURA.

open-uri.rbのproxy auth周りのAPIがイケてない、少なくとも覚えられない、というのも関係していると思います。
汎用的に書こうとするとこんな感じ。


one-linerで思い出しつつ書くのも至難の業でしょう。田中さんとしてはこれも意図的ですかね?

アクセス先フィルタリングと利用記録のためにproxy auth使ったりする企業もありますから、
APIが覚えられない、汎用的に書きにくい、one-linerで書けないってのは、open-uri.rbの利用シーンを
それなりに制限しそうではあります。

Bug #4388: open-uriで環境変数http_proxyを使うときに認証付きのProxyが使えません
http://redmine.ruby-lang.org/issues/4388

Author: あつし よしだ
Status: Rejected
Priority: Normal
Assignee:
Category: lib
Target version:
ruby -v: -

内容はタイトルのままです。
パッチを添付しますのでよろしくお願いします。

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs